<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use App\Mail\MailService;

class FormController extends Controller
{
    public function showMailForm()
    {
        return view('form');
    }

    public function processForm(Request $request)
    {
        // Validate the form data in the server side
        $validatedData = $request->validate([
            'message' => 'required',
            'email' => 'email',

        ]);

        //Once validated, process the mail
        if (!empty($validatedData)) {
            $formData = [
                'message' => $request->input('message'),
                'email' => $request->input('email'),

            ];
            $recipientEmail = env('APPLICATION_MAIL_RECIPIENT');
            Mail::to($recipientEmail)->send(new MailService($formData));
        }
        return redirect()->back()->with('success', 'Hi, we received your message. Thank you!');
    }
}
