<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Mail sending form</title>
    <link rel="stylesheet" type="text/css" href="{{ asset('css/form.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('css/style.css') }}">
</head>

<body>
    <div class="phppot-container">
        <h1>Send Email in Laravel</h1>

        <form method="POST" action="{{ route('process.form') }}">
            @csrf <!-- CSRF protection -->
            <!-- Fields collect customer message -->
            <label for="message">Message</label>
            <textarea name="message" id="message"></textarea>

            <label for="email">Email:</label>
            <input type="text" id="email" name="email"><br><br>

            <button type="submit">Submit</button>
        </form>
        @if ($errors->any())
        <div class="message error">
            <ul>
                @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
        @elseif (session()->has('success'))
        <div class="message success">
            {{ session()->get('success') }}
        </div>
        @endif
    </div>
</body>

</html>